dpkg-0.0.3: libdpkg bindings

Safe Haskell | None
Language | Haskell2010

Debian.Dpkg.DpkgVersion

# Documentation

peekDpkgVersion :: C'dpkg_version -> IO DpkgVersion Source

getConfigVersion :: C'pkginfo -> IO String Source

data DpkgVersion Source

Constructors

DpkgVersion |

Fields

vr_epoch :: Int
vr_version :: ByteString
vr_revision :: ByteString

Instances

Eq DpkgVersion Source |
Show DpkgVersion Source |